/**
 * @author: Clay
 * @date: 2022/1/6 21:49
 * @description：articledic
 * @email: clay@hchyun.com
 */
import request from '@/utils/request'

// 查询字典数据列表
export function listData(query) {
  return request({
    url: '/sist/dire/data/list',
    method: 'get',
    params: query
  })
}

// 查询字典数据详细
export function getData(dictCode) {
  return request({
    url: '/sist/dire/data/' + dictCode,
    method: 'get'
  })
}

// 新增字典数据
export function addData(data) {
  return request({
    url: '/sist/dire/data',
    method: 'post',
    data: data
  })
}

// 修改字典数据
export function updateData(data) {
  return request({
    url: '/sist/dire/data',
    method: 'put',
    data: data
  })
}

// 删除字典数据
export function delData(dictCode) {
  return request({
    url: '/sist/dire/data/' + dictCode,
    method: 'delete'
  })
}

// 导出字典数据
export function exportData(query) {
  return request({
    url: '/sist/dire/data/export',
    method: 'get',
    params: query
  })
}
